import React from "react";
import { LocationType, SupportedLanguage, GeoPosition, CountyCode, ByCountryCodeOptions, ByCircleOptions, ByRectOptions, ByProximityOptions } from "@sector-labs/geocoder-autocomplete";
export declare const GeoapifyApiKey: React.Context<string>;
export declare const GeoapifyContext: (props: any) => JSX.Element;
export interface GeoapifyGeocoderAutocompleteOptions {
    value?: string;
    type?: LocationType;
    lang?: SupportedLanguage;
    limit?: number;
    placeholder?: string;
    filterByCountryCode?: ByCountryCodeOptions;
    filterByCircle?: ByCircleOptions;
    filterByRect?: ByRectOptions;
    biasByCountryCode?: ByCountryCodeOptions;
    biasByCircle?: ByCircleOptions;
    biasByRect?: ByRectOptions;
    biasByProximity?: ByProximityOptions;
    position?: GeoPosition;
    countryCodes?: CountyCode[];
    skipIcons?: boolean;
    skipDetails?: boolean;
    placeSelect: (value: any) => {};
    suggestionsChange: (value: any) => {};
    onFocus: (value: any) => {};
    onBlur: (value: any) => {};
}
export declare const GeoapifyGeocoderAutocomplete: ({ placeholder: placeholderValue, type: typeValue, lang: langValue, limit: limitValue, value: valueValue, filterByCountryCode: filterByCountryCodeValue, filterByCircle: filterByCircleValue, filterByRect: filterByRectValue, biasByCountryCode: biasByCountryCodeValue, biasByCircle: biasByCircleValue, biasByRect: biasByRectValue, biasByProximity: biasByProximityValue, position: positionValue, countryCodes: countryCodesValue, skipIcons: skipIconsValue, skipDetails: skipDetailsValue, placeSelect: placeSelectCallback, suggestionsChange: suggestionsChangeCallback, onFocus: onFocusCallback, onBlur: onBlurCallback }: GeoapifyGeocoderAutocompleteOptions) => JSX.Element;
